TRAFFIC SERVER RECORDS(3ts)

NAME
Traffic Server Records - traffic Server maintains a set of records which cover both configuration values and statistics

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSMgmtStringCreate(TSRecordType rec_type, const char* name, const TSMgmtString data_default, TSRecordUpdateType update_type, TSRecordCheckType check_type, const char* check_regex, TSRecordAccessType access_type)

    TSReturnCode TSMgmtIntCreate(TSRecordType rec_type, const char* name, const TSMgmtInt data_default, TSRecordUpdateType update_type, TSRecordCheckType check_type, const char* check_regex, TSRecordAccessType access_type)

    int TSStatCreate(const char* name, TSRecordDataType type, TSStatPersistence persistence, TSStatSync sync_style)

DESCRIPTION

TSMgmtStringCreate() registers name as a configuration name and sets its various properties. If check_type is TS_RECORDCHECK_STR then check_reg must be point to a valid regular expression to use to check the string value.

If a plugin uses a value from records.config that is not built in to Traffic Server it must use this function or the value will be inaccessible and a warning for that name will be generated.

RETURN VALUES

TSMgmtStringCreate() and TSMgmtIntCreate() return TS_SUCCESS if the management value was created and TS_ERROR if not.

SEE ALSO

TSAPI(3ts)

COPYRIGHT
2018, dev@trafficserver.apache.org